Bug Hunting Session
Bug 89867 - UI: Crash after AutoCorrect Options and closing application
Summary: UI: Crash after AutoCorrect Options and closing application
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.5.0 target:4.4.3
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2015-03-06 21:21 UTC by Gordo
Modified: 2015-03-19 11:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (11.37 KB, text/plain)
2015-03-06 21:21 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-03-06 21:21:19 UTC
Created attachment 113938 [details]
backtrace

1. New Text Document.
2. Tools -> AutoCorrect Options... -> Options tab.
I have both checkboxes for Replace dashes unchecked.
3. Check [T] Replace dashes and OK.
4. Close document.
5. Close Start Centre.
Alternate:
4. Close Application.
Result:
Crash with AutoRecovery.

Backtrace is attached.

Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 1 tommy27 2015-03-07 08:49:05 UTC
I confirm bug under Win8x64 using LibO 4.4.0.3 and 4.4.1.2 and 4.5.0.0.alpha0+
Build ID: ca7f62c8262662c8f58a3fa3b298623f25b55eaa
TinderBox: Win-x86@42, Branch:master, Time: 2015-02-26_22:47:46
Locale: it_IT

no bug with 4.3.5.2 hence this is a 4.4.x regression
needs bibisecting

thanks for your bug report
Comment 2 Matthew Francis 2015-03-09 08:07:59 UTC
Same crash on Linux with 4.4 release and master.
-> Platform: All
Comment 3 Michael Stahl (CIB) 2015-03-10 23:25:12 UTC
another one in the AutoCorrect options crash writer on shutdown saga...
Comment 4 Commit Notification 2015-03-10 23:26:19 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1698027e9f1c4a88b17da7357f257be3cfb7c1a

tdf#89867: editeng: fix crash on shutdown after changing AutoCorrect options

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-03-19 11:05:12 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=32a466e6a95723f26d20a20e74d1f0e563d5dbca&h=libreoffice-4-4

tdf#89867: editeng: fix crash on shutdown after changing AutoCorrect options

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.